From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/hip/, dev-util/hip/files/
Date: Wed, 26 Jun 2024 09:21:26 +0000 (UTC) [thread overview]
Message-ID: <1719393568.cd5841411628af6aa1ea693b9d477e06658cfec8.sam@gentoo> (raw)
commit: cd5841411628af6aa1ea693b9d477e06658cfec8
Author: Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
AuthorDate: Tue Jun 25 20:58:01 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 26 09:19:28 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd584141
dev-util/hip: 6.1.1 reuse patch
The extend-isa-compatibility-check patch already exists, so reuse it to safe
some space in /files
Signed-off-by: Paul Zander <negril.nx+gentoo <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
...p-6.1.0-extend-isa-compatibility-check-v2.patch | 35 ++++++++++++++++++++++
dev-util/hip/hip-6.1.1.ebuild | 11 ++++++-
2 files changed, 45 insertions(+), 1 deletion(-)
diff --git a/dev-util/hip/files/hip-6.1.0-extend-isa-compatibility-check-v2.patch b/dev-util/hip/files/hip-6.1.0-extend-isa-compatibility-check-v2.patch
new file mode 100644
index 000000000000..d6e95c994c8f
--- /dev/null
+++ b/dev-util/hip/files/hip-6.1.0-extend-isa-compatibility-check-v2.patch
@@ -0,0 +1,35 @@
+From e188c092a987c45caf2ea4651686ea631ca47c3d Mon Sep 17 00:00:00 2001
+From: Paul Zander <negril.nx+gentoo@gmail.com>
+Date: Tue, 25 Jun 2024 15:22:33 +0200
+Subject: [PATCH] prepare usage of old patch
+
+Signed-off-by: Paul Zander <negril.nx+gentoo@gmail.com>
+---
+ hipamd/src/hip_code_object.cpp | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/hipamd/src/hip_code_object.cpp b/hipamd/src/hip_code_object.cpp
+index 6b3a6d0..fef89df 100644
+--- a/hipamd/src/hip_code_object.cpp
++++ b/hipamd/src/hip_code_object.cpp
+@@ -410,7 +410,7 @@ static bool isCodeObjectCompatibleWithDevice(std::string co_triple_target_id,
+ if (co_triple_target_id == agent_triple_target_id) return true;
+
+ // Parse code object triple target id
+- if (!consume(co_triple_target_id, std::string(kAmdgcnTargetTriple) + '-')) {
++ if (!consume(co_triple_target_id, std::string(AMDGCN_TARGET_TRIPLE) + '-')) {
+ return false;
+ }
+
+@@ -423,7 +423,7 @@ static bool isCodeObjectCompatibleWithDevice(std::string co_triple_target_id,
+ if (!co_triple_target_id.empty()) return false;
+
+ // Parse agent isa triple target id
+- if (!consume(agent_triple_target_id, std::string(kAmdgcnTargetTriple) + '-')) {
++ if (!consume(agent_triple_target_id, std::string(AMDGCN_TARGET_TRIPLE) + '-')) {
+ return false;
+ }
+
+--
+2.45.2
+
diff --git a/dev-util/hip/hip-6.1.1.ebuild b/dev-util/hip/hip-6.1.1.ebuild
index ecdf174fed4b..12f75f31f339 100644
--- a/dev-util/hip/hip-6.1.1.ebuild
+++ b/dev-util/hip/hip-6.1.1.ebuild
@@ -48,7 +48,6 @@ RDEPEND="${DEPEND}
PATCHES=(
"${FILESDIR}/${PN}-5.7.1-no_asan_doc.patch"
"${FILESDIR}/${PN}-6.1.0-install.patch"
- "${FILESDIR}/${PN}-6.1.0-extend-isa-compatibility-check.patch"
"${FILESDIR}/${PN}-6.1.1-fix-musl.patch"
)
@@ -60,6 +59,16 @@ hip_test_wrapper() {
}
src_prepare() {
+ # NOTE We do this head stand to safe the patch size.
+ # NOTE Adjust when we drop 5.7.1
+ sed \
+ -e 's:kAmdgcnTargetTriple:AMDGCN_TARGET_TRIPLE:g' \
+ -i hipamd/src/hip_code_object.cpp || die
+ eapply "${FILESDIR}/${PN}-5.7.1-extend-isa-compatibility-check.patch"
+ sed \
+ -e 's:AMDGCN_TARGET_TRIPLE:kAmdgcnTargetTriple:g' \
+ -i hipamd/src/hip_code_object.cpp || die
+
# hipamd is itself built by cmake, and should never provide a
# FindHIP.cmake module. But the reality is some package relies on it.
# Set HIP and HIP Clang paths directly, don't search using heuristics
next reply other threads:[~2024-06-26 9:21 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-26 9:21 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-14 15:02 [gentoo-commits] repo/gentoo:master commit in: dev-util/hip/, dev-util/hip/files/ Benda XU
2023-12-14 15:02 Benda XU
2023-10-09 16:27 罗百科
2023-04-05 16:10 Benda XU
2023-03-02 17:46 罗百科
2023-02-20 4:33 Sam James
2023-02-10 4:26 Sam James
2023-02-01 9:53 Andreas Sturmlechner
2023-01-31 13:32 Benda XU
2023-01-31 13:32 Benda XU
2023-01-21 3:32 Sam James
2022-12-19 14:00 Andreas Sturmlechner
2022-11-19 11:50 Benda XU
2022-08-06 14:23 Benda XU
2022-07-08 17:40 Benda XU
2022-03-22 4:09 Benda XU
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1719393568.cd5841411628af6aa1ea693b9d477e06658cfec8.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox